﻿using COA.EnterpriseServices.DataAccess.Entities;
using System.Collections.Generic;

namespace COA.EnterpriseServices.DataAccess.Helpers
{
    public class ClientHelper
    {
        private readonly DataAccessManager<Client> clientDataAccess;

        public ClientHelper(DataAccessManager<Client> clientDataAccess)
        {
            this.clientDataAccess = clientDataAccess;
        }

        public ICollection<Client> FindByEmail(string email)
        {
            return clientDataAccess.Get(c => c.Email.Equals(email));
        }
    }
}
